<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Services\Auth\AuthGoogleService;
use Illuminate\Http\JsonResponse;
use Laravel\Socialite\Facades\Socialite;


class AuthGoogleController extends Controller
{
    protected AuthGoogleService $authGoogleService;

    public function __construct(AuthGoogleService $authGoogleService)
    {
        $this->authGoogleService = $authGoogleService;
    }

    public function redirectToGoogle()
    {
        return Socialite::driver('google')->stateless()->redirect();
    }

    public function handleGoogleCallback(): JsonResponse
    {
        $token = $this->authGoogleService->handleGoogleCallback();
        $expiration =config('sanctum.custom-expiration');
        return loggedInSuccessfully($token,'user logged in successfully',"$expiration[0] $expiration[1]");
    }

}
