<?php

namespace App\Services\Auth;


use App\Services\User\UserService;
use Laravel\Socialite\Facades\Socialite;

class AuthGoogleService
{
    protected userService $userService;
    protected AuthService $AuthService;

    public function __construct(UserService $userService , AuthService $authService)
    {
        $this->userService = $userService;
        $this->AuthService = $authService;
    }


    public function handleGoogleCallback(): string
    {
        $googleUser = Socialite::driver('google')->stateless()->user();

        if (!$this->userService->checkUserByEmail($googleUser->email, $user)) {
             $user =$this->userService->createUserFromGoogle($googleUser);
        }

        return $this->AuthService->createToken($user);
    }
}
