<?php

namespace App\Services\Mail;

use App\Mail\SendVerificationCodeMail;
use App\Models\User;
use Illuminate\Support\Facades\Mail;

class MailService
{
    /**
     * @param $mailSubject
     * @param $verificationUrl
     * @param User $user
     * @param $linkInEmailFor
     * @param null $verificationCode
     * @return void
     */
    public function sendVerificationMail($mailSubject, $verificationUrl, User $user, $linkInEmailFor, $verificationCode = null): void
    {
        Mail::to($user->email)->send(new SendVerificationCodeMail($user, $mailSubject, $verificationUrl, $linkInEmailFor, $verificationCode));
    }

}
