<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class FaqSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        DB::table('faqs')->insert([
            [
                'question' => 'Is there any trial available?',
                'answer' => 'Yes, you can try us for only $0.25 for 2 hours. After that, you can subscribe to one of our plans.',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'question' => 'Can I change my plan later?',
                'answer' => 'Yes, you can upgrade or downgrade your plan at any time.',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'question' => 'What is your cancellation policy?',
                'answer' => 'You can cancel your subscription at any time. There are no cancellation fees.',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'question' => 'How many accounts can I run on a single proxy?',
                'answer' => 'You can run up to 5 accounts on a single proxy.',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'question' => 'Which sites can I access with your proxies?',
                'answer' => 'You can access all major websites except those restricted by local regulations.',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'question' => 'Do you have any blocked sites?',
                'answer' => 'We do not block any sites, but local regulations might apply.',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'question' => 'What is the uptime of your proxies?',
                'answer' => 'Our proxies have an uptime of 99.9%, ensuring your connections are reliable.',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'question' => 'What proxy protocols are you supporting?',
                'answer' => 'We support HTTP, HTTPS, and SOCKS5 protocols.',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'question' => 'Can I use your proxies on social networks?',
                'answer' => 'Yes, our proxies are optimized for social networks like Facebook, Instagram, and Twitter.',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'question' => 'Do you have an affiliation program?',
                'answer' => 'Yes, we offer an affiliate program with competitive commissions.',
                'created_at' => now(),
                'updated_at' => now(),
            ],
        ]);
    }
}
