<!DOCTYPE html>
<html lang="en">
@php
    $Altone_ExtraBold_ttf = asset('assets/fonts/Altone-ExtraBold.ttf');
    $Altone_Bold_ttf = asset('assets/fonts/Altone-Bold.ttf');
    $Altone_SemiBold_ttf = asset('assets/fonts/Altone-SemiBold.ttf');
    $Altone_Medium_ttf = asset('assets/fonts/Altone-Medium.ttf');
    $Altone_Regular_ttf = asset('assets/fonts/Altone-Regular.ttf');
    $Altone_Light_ttf = asset('assets/fonts/Altone-Light.ttf');

@endphp
<style>

    @font-face {
        font-family: "Alton";
        src: url("{{ $Altone_ExtraBold_ttf }}") format("truetype"),
        url("{{ $Altone_ExtraBold_ttf }}") format("truetype");
        font-weight: 900;
        font-style: normal;
    }

    @font-face {
        font-family: "Alton";
        src: url("{{ $Altone_Bold_ttf }}") format("truetype"),
        url("{{ $Altone_Bold_ttf }}") format("truetype");
        font-weight: 800;
        font-style: normal;
    }

    @font-face {
        font-family: "Alton";
        src: url("{{ $Altone_Bold_ttf }}") format("truetype"),
        url("{{ $Altone_Bold_ttf }}") format("truetype");
        font-weight: 700;
        font-style: normal;
    }

    @font-face {
        font-family: "Alton";
        src: url("{{ $Altone_SemiBold_ttf }}") format("truetype"),
        url("{{ $Altone_SemiBold_ttf }}") format("truetype");
        font-weight: 600;
        font-style: normal;
    }

    @font-face {
        font-family: "Alton";
        src: url("{{$Altone_Medium_ttf}}") format("truetype"),
        url("{{$Altone_Medium_ttf}}") format("truetype");
        font-weight: 500;
        font-style: normal;
    }

    @font-face {
        font-family: "Alton";
        src: url("{{$Altone_Medium_ttf}}") format("truetype"),
        url("{{$Altone_Medium_ttf}}") format("truetype");
        font-weight: 500;
        font-style: normal;
    }

    @font-face {
        font-family: "Alton";
        src: url("{{ $Altone_Regular_ttf }}") format("truetype"),
        url("{{ $Altone_Regular_ttf }}") format("truetype");
        font-weight: 400;
        font-style: normal;
    }

    @font-face {
        font-family: "Alton";
        src: url("{{ $Altone_Light_ttf }}") format("truetype"),
        url("{{ $Altone_Light_ttf }}") format("truetype");
        font-weight: 300;
        font-style: normal;
    }

    @font-face {
        font-family: "Alton";
        src: url("{{ $Altone_ExtraBold_ttf }}") format("truetype"),
        url("{{ $Altone_ExtraBold_ttf }}") format("truetype");
        font-weight: 200;
        font-style: normal;
    }

    * {
        margin: 0;
        padding: 0;
        box-sizing: border-box;
        font-family: "Alton", sans-serif;
    }

    body {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 100vh;
    }

    .email-container {
        padding: 32px 24px;
        max-width: 576px;
        display: flex;
        flex-direction: column;
        align-items: start;
        justify-items: start;
        gap: 24px;
    }

    .email-header .logo {
        width: 115px;
        height: 35px;
        object-fit: contain;
    }

    .email-content {
        display: flex;
        flex-direction: column;
        align-items: start;
        justify-items: start;
        gap: 24px;
    }

    .email-content p {
        line-height: 24px;
    }

    .verification-code {
        display: flex;
        align-items: center;
        justify-items: start;
        gap: 8px;
    }

    .code-box {
        display: flex;
        align-items: center;
        justify-content: center;

        border-radius: 8px;
        height: 64px;
        width: 64px;
        border: 1px solid #5d5fd9;

        color: #111280;
        font-size: 48px;
        font-weight: 600;
    }

    .code-divider {
        color: #c7c7d9;
        font-size: 60px;
        font-weight: 500;
    }

    .button {
        border-radius: 8px;
        height: 44px;
        width: 128px;
        background: #111280;

        display: flex;
        align-items: center;
        justify-content: center;

        text-decoration: none;
        color: white;
    }

    .button:hover {
        background: #0e1068;
    }

    .email-footer {
        color: #727282;
        font-size: 14px;
        line-height: 24px;
        padding: 20px 0;
        display: flex;
        flex-direction: column;
        align-items: start;
        justify-items: start;
        gap: 35px;
    }

    .email-footer a {
        color: #03055e;
        text-decoration: none;
    }

    .email-footer a:hover {
        text-decoration: underline;
    }

    .email-footer .footer-links {
        display: flex;
        align-items: center;
        justify-content: space-between;
        width: 100%;
    }

    .email-footer .footer-links .logo {
        width: 74px;
        height: 23px;
        object-fit: contain;
    }

    .email-footer .footer-links .social-icons {
        display: flex;
        align-items: center;
        justify-content: end;
        gap: 16px;
    }

    .email-footer .footer-links .social-icons a {
        height: 20px;
        width: 20px;
    }

</style>

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Email Verification</title>
    {{--  <link rel="stylesheet" href="./style.css">--}}
</head>

<body>
<div class="email-container">
    <div class="email-header">
        <img src="{{ asset('assets/logo.svg') }}" alt="Portia Logo" class="logo">
        {{--      <img src="./assets/logo.svg" alt="Portia Logo" class="logo">--}}
    </div>
    <div class="email-content">
        <p>Hi {{ $userName }},</p>


        @if( $verificationCode)
            <p>This is your verification code:</p>
            <div class="verification-code">
                @foreach(str_split($verificationCode) as $index => $char)
                    <span class="code-box">{{ $char }}</span>

                    @if($index == 2)
                        <span class="code-divider"
                              style="-webkit-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none;"
                        >-</span>
                    @endif
                @endforeach
            </div>

            <p>This code will only be valid for the next 10 minutes. If the code does not work, you can use this login
                verification link:</p>
        @endif

        {{-- there where i need to put the  verification url --}}
        <a href="{{ $urlVerification }}" class="button" type="button">{{ $theButtonText }}</a>
        <p>Thanks,<br>The team</p>
    </div>
    <div class="email-footer">
        <div>
            <p>This email was sent to <a href="{{ $userEmail }}">{{ $userEmail }}</a>. If you'd
                rather
                not
                receive this kind of email, you can <a href="#">unsubscribe</a> or <a href="#">manage your email
                    preferences</a>.</p>
            <br>
            <p>© 2024 Portia.io.</p>
        </div>
        <div class="footer-links">
            <img src="{{asset('assets/logo-gray.svg') }}" alt="Portia Logo" class="logo">
            {{--        <img src="./assets/logo-gray.svg" alt="Portia Logo" class="logo">--}}
            <div class="social-icons">
                <a href="http://">
                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512">
                        <path fill="#9C9CAD"
                              d="M512 256C512 114.6 397.4 0 256 0S0 114.6 0 256C0 376 82.7 476.8 194.2 504.5V334.2H141.4V256h52.8V222.3c0-87.1 39.4-127.5 125-127.5c16.2 0 44.2 3.2 55.7 6.4V172c-6-.6-16.5-1-29.6-1c-42 0-58.2 15.9-58.2 57.2V256h83.6l-14.4 78.2H287V510.1C413.8 494.8 512 386.9 512 256h0z"/>
                    </svg>
                </a>
                <a href="http://">
                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512">
                        <path fill="#9C9CAD"
                              d="M459.4 151.7c.3 4.5 .3 9.1 .3 13.6 0 138.7-105.6 298.6-298.6 298.6-59.5 0-114.7-17.2-161.1-47.1 8.4 1 16.6 1.3 25.3 1.3 49.1 0 94.2-16.6 130.3-44.8-46.1-1-84.8-31.2-98.1-72.8 6.5 1 13 1.6 19.8 1.6 9.4 0 18.8-1.3 27.6-3.6-48.1-9.7-84.1-52-84.1-103v-1.3c14 7.8 30.2 12.7 47.4 13.3-28.3-18.8-46.8-51-46.8-87.4 0-19.5 5.2-37.4 14.3-53 51.7 63.7 129.3 105.3 216.4 109.8-1.6-7.8-2.6-15.9-2.6-24 0-57.8 46.8-104.9 104.9-104.9 30.2 0 57.5 12.7 76.7 33.1 23.7-4.5 46.5-13.3 66.6-25.3-7.8 24.4-24.4 44.8-46.1 57.8 21.1-2.3 41.6-8.1 60.4-16.2-14.3 20.8-32.2 39.3-52.6 54.3z"/>
                    </svg>
                </a>
                <a href="http://">
                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512">
                        <path fill="#9C9CAD"
                              d="M224.1 141c-63.6 0-114.9 51.3-114.9 114.9s51.3 114.9 114.9 114.9S339 319.5 339 255.9 287.7 141 224.1 141zm0 189.6c-41.1 0-74.7-33.5-74.7-74.7s33.5-74.7 74.7-74.7 74.7 33.5 74.7 74.7-33.6 74.7-74.7 74.7zm146.4-194.3c0 14.9-12 26.8-26.8 26.8-14.9 0-26.8-12-26.8-26.8s12-26.8 26.8-26.8 26.8 12 26.8 26.8zm76.1 27.2c-1.7-35.9-9.9-67.7-36.2-93.9-26.2-26.2-58-34.4-93.9-36.2-37-2.1-147.9-2.1-184.9 0-35.8 1.7-67.6 9.9-93.9 36.1s-34.4 58-36.2 93.9c-2.1 37-2.1 147.9 0 184.9 1.7 35.9 9.9 67.7 36.2 93.9s58 34.4 93.9 36.2c37 2.1 147.9 2.1 184.9 0 35.9-1.7 67.7-9.9 93.9-36.2 26.2-26.2 34.4-58 36.2-93.9 2.1-37 2.1-147.8 0-184.8zM398.8 388c-7.8 19.6-22.9 34.7-42.6 42.6-29.5 11.7-99.5 9-132.1 9s-102.7 2.6-132.1-9c-19.6-7.8-34.7-22.9-42.6-42.6-11.7-29.5-9-99.5-9-132.1s-2.6-102.7 9-132.1c7.8-19.6 22.9-34.7 42.6-42.6 29.5-11.7 99.5-9 132.1-9s102.7-2.6 132.1 9c19.6 7.8 34.7 22.9 42.6 42.6 11.7 29.5 9 99.5 9 132.1s2.7 102.7-9 132.1z"/>
                    </svg>
                </a>
            </div>
        </div>
    </div>
</div>
</body>

</html>
